Delete Quality Profile
curl --request DELETE \
--url https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Quality Profiles
Delete Quality Profile
deprecated
Deprecated. Will be removed on October 12, 2026. Quality Profiles are now managed through Content Groups.
Permanently deletes a Quality Profile. The AI Checks referenced by this profile are not deleted.
DELETE
/
v1
/
qualityProfiles
/
{uid}
Delete Quality Profile
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Path Parameters
Unique identifier of the Quality Profile.
Example:
"6804b1c2d3e4f5a6b7c80123"
Response
Deleted.
Was this page helpful?
⌘I